package weblogic.taglib.counter;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

/**
 * This class displays the page-hits count in a JSP page. 
 */ 

public class Increment extends TagSupport {
  public int doStartTag() {
    
    File tempDir = (java.io.File) pageContext.getServletContext().
       getAttribute("javax.servlet.context.tempdir");
    
    File countFile = new File(tempDir, "count.tmp");
    
    Count.incCount(countFile);
    return(SKIP_BODY);
  }
}
  

